Skip to content

Get 'ParkingLot'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/objects/structural/parkinglot/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/objects/structural/parkinglot/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

namestring, <= 255 charactersrequired
realestateobject(RealEstate)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
addressobject or null(Address)

Content Type: common.address

registered_usable_areanumber or null, (float)

Additional Validation Information:

This value must be set with a proper magnitude, in relation to the following fields: registered_gross_area

registered_building_areanumber or null, (float)
registered_gross_areanumber or null, (float)

Additional Validation Information:

This value must be set with a proper magnitude, in relation to the following fields: registered_bi_area, registered_usable_area

registered_bi_areanumber or null, (float)

Additional Validation Information:

This value must be set with a proper magnitude, in relation to the following fields: registered_gross_area

calculated_usable_areanumber, (float)read-only
calculated_bi_areanumber, (float)read-only
calculated_usable_area_rentablenumber, (float)read-only
calculated_bi_area_rentablenumber, (float)read-only
calculated_usable_area_rentable_base_rent_vatnumber, (float)read-only
calculated_bi_area_rentable_base_rent_vatnumber, (float)read-only
built_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: availability_end_date, availability_start_date, demolition_date

availability_start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: availability_end_date, demolition_date, built_date

availability_end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: demolition_date, availability_start_date, built_date

demolition_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: availability_end_date, availability_start_date, built_date

public_descriptionstring or null
sales_descriptionstring or null
custom_dimension_valuestring or null, <= 255 characters
structure_operation_typeinteger or null, (int32), [ -2147483648 .. 2147483647 ]

Additional Validation Information:

Enum Descriptions:

  • 6 - Rentable Housing Outdoor Area

  • 8 - Rentable Industrial Premises Outdoor Area

  • 9 - Industry Outdoor Area

  • 27 - Special Unit

  • 28 - Other

Enum:6892728
structure_typestring or null, <= 64 characters

Additional Validation Information:

Enum Descriptions:

  • CCB - Ccb

  • PX_PARKING - Px Parking

  • PX_PARKING_INDOOR - Px Parking Indoor

  • PX_PARKING_OUTDOOR - Px Parking Outdoor

  • PX_GARAGE - Px Garage

  • PX_GARAGE_INDOOR - Px Garage Indoor

  • PX_GARAGE_OUTDORR - Px Garage Outdorr

  • PX_OTHER - Px Other

Enum:"CCB""PX_PARKING""PX_PARKING_INDOOR""PX_PARKING_OUTDOOR""PX_GARAGE""PX_GARAGE_INDOOR""PX_GARAGE_OUTDORR""PX_OTHER"
max_heightnumber or null, (float)
max_widthnumber or null, (float)
max_weightnumber or null, (float)
is_garageboolean
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "name": "string", "realestate": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "address": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "organization": { … }, "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "care_of": "string", "attention": "string", "street": "string", "street_number": "string", "postal_code": "string", "city": "string", "country": "string", "longitude": -180, "latitude": -90 }, "registered_usable_area": 0.1, "registered_building_area": 0.1, "registered_gross_area": 0.1, "registered_bi_area": 0.1, "calculated_usable_area": 0.1, "calculated_bi_area": 0.1, "calculated_usable_area_rentable": 0.1, "calculated_bi_area_rentable": 0.1, "calculated_usable_area_rentable_base_rent_vat": 0.1, "calculated_bi_area_rentable_base_rent_vat": 0.1, "built_date": "2019-08-24", "availability_start_date": "2019-08-24", "availability_end_date": "2019-08-24", "demolition_date": "2019-08-24", "public_description": "string", "sales_description": "string", "custom_dimension_value": "string", "structure_operation_type": 6, "structure_type": "CCB", "max_height": 0.1, "max_width": 0.1, "max_weight": 0.1, "is_garage": true, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }